Bug 59983 - qla2x00 modules a great way to hang the box
qla2x00 modules a great way to hang the box
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-17 16:56 EST by Michal Jaegermann
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 21:25:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-02-17 16:56:16 EST
Description of Problem:

A version from current updates (2.4.9-21) includes a driver module
for Fiber Channel Qlogic controllers 2200 and 2300.  The only trouble is
that an attempt to insert it causes an instant lockup without any messages
or traces in log files.  OTOH replacing it with qla2200.o compiled from
current Qlogic sources (version 5.36.3 from 2001/12/12) at least initializes
a hardware properly.  I could not check more as I did not have anything
to connect to that controller but this is what I see in dmesg _after_
a substitution:
.....
qla2x00: Found  VID=1077 DID=2200 SSVID=1077 SSDID=2
scsi1: Found a QLA2200  @ bus 0, device 0x8, irq 27, iobase 0x8800
scsi(1): Configure NVRAM parameters...
qla2x00: 64 Bit PCI Addressing Enabled
scsi(1): Verifying loaded RISC code...
scsi(1): Verifying chip...
scsi(1): Waiting for LIP to complete...
qla2x00: Found  VID=1077 DID=2200 SSVID=1077 SSDID=2
scsi2: Found a QLA2200  @ bus 1, device 0x7, irq 47, iobase 0x200008000
scsi(2): Configure NVRAM parameters...
qla2x00: 64 Bit PCI Addressing Enabled
scsi(2): Verifying loaded RISC code...
scsi(2): Verifying chip...
scsi(2): Waiting for LIP to complete...
scsi-qla0-adapter-port=210000e08b050fd2\;
scsi-qla1-adapter-port=210000e08b050ed2\;
scsi1 : QLogic QLA2200 PCI to Fibre Channel Host Adapter: bus 0 device 8 irq 27
        Firmware version:  2.01.37, Driver version 5.36.3
scsi2 : QLogic QLA2200 PCI to Fibre Channel Host Adapter: bus 1 device 7 irq 47
        Firmware version:  2.01.37, Driver version 5.36.3

It is quite likely that the same trouble will show with x86 hardware too
but simply such setup was passing through my hands. :-)

Version-Release number of selected component (if applicable):
2.4.9-21

How Reproducible:
100%

Steps to Reproduce:
Just to insert the module in question - automatically or manually. :-)
Comment 1 Arjan van de Ven 2002-02-19 06:20:24 EST
my qla2200 is fine ;( but that's x86

Note You need to log in before you can comment on or make changes to this bug.